%define version 4.17
%define release %mkrel 2

%define lib_major 2
%define lib_name %mklibname %{name} %{lib_major}

Summary:	Thinkpad Utilities
Name:		tpctl
Version:	%{version}
Release:	%{release}
URL:		http://tpctl.sourceforge.net/
Group:		System/Kernel and hardware
License:	GPL
ExclusiveArch:	%{ix86}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Source:		http://prdownloads.sourceforge.net/tpctl/%{name}_%{version}.tar.gz
Source1:	apmiser.init.bz2
Source2:	hdparm-contrib-ultrabayd.tar.bz2
Source3:	ultrabayd.init.bz2
Source4:	ultrabay.suspend.bz2
Patch0:		hdparm-5.4-fix_path_bell_idectl.patch.bz2

BuildRequires:	ncurses-devel
Requires:	%{lib_name} = %{version}-%{release}
Prereq:		rpm-helper
# 4.4-2mdk (Abel) idectl and ultrabayd is moved to this package
Requires:	hdparm >= 5.4-3mdk
Conflicts:	hdparm <= 5.4-2mdk

%description
Utilities specific to IBM Thinkpads

%package -n %{lib_name}
Summary: Library associated with tpctl, needed for tpctl utilities.
Group: System/Libraries

%description -n %{lib_name}
This library is mandatory for tpctl utilities.
 
%package -n %{lib_name}-devel
Summary: Development package with static libs and headers.
Group: Development/C
Requires: %{lib_name} = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release} 

%description -n %{lib_name}-devel
This package contains header files and static library for tpctl
utilities.
 

%prep
%setup -q -a 2
# 4.4-2mdk (Abel) needs Source2
%patch0 -p1 -b .ultrabay
mv contrib/README contrib/idectl-README

%build
%make all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_sbindir},%{_mandir}/man1}
make install DEST=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT/%{_libdir}/
ln -sf libsmapidev.so.2.0 libsmapidev.so 
cd -
mkdir -p $RPM_BUILD_ROOT/%{_initrddir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_initrddir}/apmiser
chmod 755 $RPM_BUILD_ROOT/%{_initrddir}/apmiser

mkdir -p $RPM_BUILD_ROOT/%{_includedir}
cp -r include $RPM_BUILD_ROOT/%{_includedir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install -m 0644 man/apmiser.8 $RPM_BUILD_ROOT/%{_mandir}/man8/

# 4.4-2mdk (Abel) ultrabayd stuff
install -m 0755 contrib/idectl $RPM_BUILD_ROOT/%{_sbindir}/idectl
install -m 0755 contrib/ultrabayd $RPM_BUILD_ROOT/%{_sbindir}/ultrabayd
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_initrddir}/ultrabayd
chmod 755 $RPM_BUILD_ROOT%{_initrddir}/ultrabayd
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/suspend-scripts/suspend.d/
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/suspend-scripts/suspend.d/ultrabay
chmod 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/suspend-scripts/suspend.d/ultrabay

%clean
rm -rf $RPM_BUILD_ROOT

#post 
#_post_service apmiser
#_post_service ultrabayd

#preun 
#_preun_service apmiser
#_preun_service ultrabayd

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README SUPPORTED-MODELS TROUBLESHOOTING VGA-MODES
%doc contrib/idectl-README
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man?/*
%config(noreplace) %{_initrddir}/*
%config(noreplace) %{_sysconfdir}/sysconfig/suspend-scripts/suspend.d/*

%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc ChangeLog COPYING 
%{_libdir}/*.so
%{_includedir}/*

%changelog
* Sat Nov 04 2006 Bart the Build Bot <bartbot at pclinuxos dot com> 4.17-2pclos2007
- Build for PCLinuxOS 2007

